<Project Sdk="Microsoft.NET.Sdk.BlazorWebAssembly">

    <PropertyGroup>
        <TargetFramework>net10.0</TargetFramework>
        <Nullable>enable</Nullable>
        <ImplicitUsings>enable</ImplicitUsings>
        <OverrideHtmlAssetPlaceholders>true</OverrideHtmlAssetPlaceholders>
    </PropertyGroup>

    <ItemGroup>
        <PackageReference Include="Microsoft.AspNetCore.Components.WebAssembly" Version="10.0.9"/>
        <PackageReference Include="Microsoft.AspNetCore.Components.WebAssembly.DevServer" Version="10.0.9" PrivateAssets="all"/>
    </ItemGroup>

    <ItemGroup>
      <ProjectReference Include="..\Model\Model.csproj" />
    </ItemGroup>

    <Target Name="GenerateGameData" BeforeTargets="BeforeBuild">
        <Exec Command="dotnet run --project &quot;$(MSBuildThisFileDirectory)..\Build\Build.csproj&quot; -- &quot;$(MSBuildThisFileDirectory)..\..\gsr.docs&quot; &quot;$(MSBuildThisFileDirectory)..\Model&quot;" />
        <Exec Command="dotnet build &quot;$(MSBuildThisFileDirectory)..\Model\Model.csproj&quot;" />
    </Target>

</Project>
